<?php

namespace common\models;

/**
 * This is the model class for table "{{%DEDUCT_RECONSUME}}".
 *
 * @property string $ID
 * @property int $USER_ID 用户ID
 * @property int $CALC_MONTH 所在结算月
 * @property int $RECONSUME_POINTS_SUM 此结算月累计已扣除的复消积分
 * @property int $CREATED_AT 创建时间
 */
class DeductReconsume extends \common\components\ActiveRecord
{
    public function init()
    {
        parent::init();
    }

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%DEDUCT_RECONSUME}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['CALC_MONTH', 'USER_ID'], 'required'],
            [['CALC_MONTH', 'CREATED_AT'], 'integer'],
            [['ID'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'CALC_MONTH' => '所在结算月',
            'RECONSUME_POINTS_SUM' => '此结算月累计已扣除的复消积分',
            'CREATED_AT' => '创建时间',
        ];
    }
}
